#ifndef _CONFIG_H
#define _CONFIG_H
#define MSDOS
/* This is the configuration as distributed by WG7J */
/* #define WHOFOR "Beta Testing" */
#define DEVELOPER "N8WEI"

/* NOTE: only the below listed config files have been tested.
 * Due to the virtually unlimited number of combinations of options
 * in config.h, it is impossible to test each possible variation!
 * Others may or may not compile and link without errors !
 * Effort has been made to provide a clean set of #defines throughout
 * the source to produce a good compile, but no garuantees are made.
 * Your milage may vary!!!
 * tested are: distconf.h, gwconfig.h, bbsconf.h, users.h homeslip.h
 */

/* Installed Mods - N8WEI */
#define DOMAINLOCALONLY  1   /* DOMAIN LOCAL command  (N8WEI - 11/09/94) */
#define REWRITECMD       1   /* REWRITE maintenence   (N8WEI - 11/12/94) */
#define USERMAINT        1   /* USER maintenence      (N8WEI - 12/28/94) */

/* Software options */

#define ALLCMD           1   /* include dump,finger,fkey,info,mail,motd,more,status,record,watch,upload commands */
#define ATCMD            1   /* Include timed 'at' execution */
#define AX25PASSWORD     1   /* Ask ax.25 users for their passwords */
#define DIALER           1   /* SLIP redial code */
#define DOSCMD           1   /* Include del,ren,cd,dir,mkdir,pwd,rmdir commands */
#define HOPPER           1   /* Include SMTP hopper code by G8FSL */
#define LOCK             1   /* Include keyboard locking */
#define MULTITASK        1   /* Include Dos shell multi-tasker */
#define SHELL            1   /* Include shell command */
#define STKTRACE         1   /* Include stack tracing code */
#define TRACE            1   /* Include packet tracing code */

#undef  AUTOROUTE        1   /* Include AX.25 IP auto-route code(causes problems when VC mode is used for ip) */
#undef  CONVERS          1   /* Conference bridge (babble-box :-) */
#undef  ENCAP            1   /* Include IP encapsulation code */
#undef  ESCAPE           1   /* Allow Unix style escape on PC */
#undef  IPACCESS         1   /* Include IP access control code */
#undef  MONITOR          1   /* Include user-port monitor trace mode */
#undef  NNTPCLIENT       1   /* Netnews client */
#undef  NNTPSERVER       1   /* Netnews client and server */
#undef  NR4TDISC         1   /* Include Netrom L4 timeout-disconnect */
#undef  POP2CLIENT       1   /* POP2 client -- IAB not recommended */
#undef  POP3CLIENT       1   /* POP3 client -- IAB draft standard */
#undef  SWATCH           1   /* stopWATCH code */
#undef  TCPACCESS        1   /* Include TCP access control code */
#undef  TTYCALL          1   /* Include AX.25 ttylink call */
#undef  XMODEM           1   /* xmodem file xfer for tipmail  */

#define SPLITSCREEN      1
#define STATUSWIN        1   /* Up to 3 line status window */

/* Protocol options */

#define AX25             1   /* Ax.25 support */
#define LZW              1   /* LZW-compressed sockets */
#define PPP              1   /* Point-to-Point Protocol code */
#define RSPF             1   /* Include Radio Shortest Path First Protocol */
#define SLIP             1   /* Serial line IP on built-in ports */

#undef  AXIP             1   /* digipeater via ip port 93 interface */
#undef  BOOTP            1   /* Include BootP protocol */
#undef  NETROM           1   /* NET/ROM network support */
#undef  NRS              1   /* NET/ROM async interface */
#undef  RARP             1   /* Include Reverse Address Resolution Protocol */
#undef  RDATE            1   /* Include the Time Protocol */
#undef  RIP              1   /* Include RIP routing */
#undef  VJCOMPRESS       1   /* Van Jacobson TCP compression for SLIP */


/* Network services */

#define AX25SERVER       1   /* Ax.25 server */
#define FINGERSERVER     1   /* Tcp finger server */
#define FTPSERVER        1   /* Tcp ftp server */
#define SERVERS          1   /* Include TCP servers */
#define SMTPSERVER       1   /* Tcp smtp server */
#define TELNETSERVER     1   /* Tcp telnet server */
#define TIPSERVER        1   /* Serial port tip server */
#define TTYLINKSERVER    1   /* Tcp ttylink server */

#undef  CALLSERVER       1   /* Include BuckMaster CDROM server support */
#undef  DISCARDSERVER    1   /* Tcp discard server */
#undef  DOMAINSERVER     1   /* Udp Domain Name Server */
#undef  ECHOSERVER       1   /* Tcp echo server */
#undef  ICALL            1   /* Buckmaster's international callsign database April '92 */
#undef  NETROMSERVER     1   /* Net/rom server */
#undef  POP2SERVER       1   /* POP2 server -- IAB not recommended */
#undef  POP3SERVER       1   /* POP3 server -- IAB draft standard */
#undef  QRZCALLB         1   /* QRZ callbook server. Note that you can NOT have BOTH Buckmaster and QRZ defined.If so, QRZ is used */
#undef  REMOTESERVER     1   /* Udp remote server */
#undef  RLOGINSERVER     1   /* Tcp rlogin server */
#undef  SAMCALLB         1   /* SAM callbook server. Note that you can NOT have BOTH Buckmaster and SAM defined.If so, SAM is used */

/* Outgoing Sessions */

#define AX25SESSION      1
#define BBSSESSION       1
#define DIRSESSION       1
#define FINGERSESSION    1
#define FTPSESSION       1
#define HOPCHECKSESSION  1   /* IP path tracing command */
#define LOOKSESSION      1   /* follow user activity on the bbs */
#define MORESESSION      1
#define PINGSESSION      1
#define REPEATSESSION    1
#define SESSIONS         1
#define TELNETSESSION    1
#define TIPSESSION       1
#define TTYLINKSESSION   1

#undef  CALLCLI          1   /* Include BuckMaster or SAM client code only  */
#undef  NETROMSESSION    1
#undef  RLOGINSESSION    1   /* Rlogin client code */

/* Mailbox options */

/* If GATECMDS and FOQ_CMDS are both undefined, extra code is saved! */
#define EXPIRY           1   /* Include message and bid expiry */
#define FILECMDS         1   /* Include D,U,W,Z commands */
#define FOQ_CMDS         1   /* Include Finger, Operator, Query */
#define GATECMDS         1   /* Include gateway releated commands C,E,N,NR,P,PI,T */
#define GWTRACE          1   /* Log all gateway connects to the logfile */
#define MAILBOX          1   /* Include SM0RGV mailbox server */
#define MAILCMDS         1   /* Include mail commands, S, R, V etc */
#define MAILERROR        1   /* Include Mail-on-error option */
#define MAILFOR          1   /* Include Mailbox 'Mail for' beacon */
#define REGISTER         1   /* Include User Registration option */
#define RLINE            1   /* Include BBS R:-line interpretation code */
#define USERLOG          1   /* Include last-msg-read,prompt-type user tracking */

#undef  FBBFWD           1   /* add enhanced FBB Forwarding code (no compression) */
#undef  FWDCTLZ          1   /* Use a CTRL-Z instead of /EX to end message forwarding */
#undef  MBFWD            1   /* Include Mailbox AX.25 forwarding */


/* Memory options */

#define EMS              1   /* Include Expanded Memory Usage */
 /* DO NOT define the following, it doesn't work yet !!! */
#undef  XMS              1   /* Include Extended Memory Usage */


/* Software tuning parameters */

#define MTHRESH          8192    /* Default memory threshold */
#define NROWS            25      /* Number of rows on screen */
#define NIBUFS           2       /* Number of interrupt buffers */
#define IBUFSIZE         2048    /* Size of interrupt buffers */
#define NSESSIONS        10      /* Number of interactive clients */


/* Hardware driver options */

#define ASY              1   /* Asynch driver code */
#define PACKET           1   /* FTP Software's Packet Driver interface */

#undef  APPLETALK        1   /* Appletalk interface (Macintosh) */
#undef  ARCNET           1   /* ARCnet via PACKET driver */
#undef  BPQ              1   /* include Bpqhost interface */
#undef  DRSI             1   /* DRSI PCPA slow-speed driver */
#undef  EAGLE            1   /* Eagle card driver */
#undef  HAPN             1   /* Hamilton Area Packet Network driver code */
#undef  HS               1   /* High speed (56kbps) modem driver */
#undef  KISS             1   /* Multidrop KISS TNC code for Multiport tnc */
#undef  PACKETWIN        1   /* Gracilis PackeTwin driver */
#undef  PC100            1   /* PAC-COM PC-100 driver code */
#undef  PC_EC            1   /* 3-Com 3C501 Ethernet controller */
#undef  PI               1   /* VE3IFB pi dma card scc driver */
#undef  POLLEDKISS       1   /* G8BPQ Polled Multidrop KISS TNC code */
#undef  PRINTEROK        1   /* OK to name a printer as an output device */
#undef  SCC              1   /* PE1CHL generic scc driver */
#undef  SLFP             1   /* SLFP packet driver class supported */


/***************************************************************************/
/* This section corrects some defines that include/exclude others          */
/* You should not normally change anything below this line.                */

#ifdef NNTPSERVER
#undef  NNTP
#undef  NNTPS
#define NNTPS            1   /* Netnews client and server */
#else
#ifdef NNTPCLIENT
#undef  NNTP
#undef  NNTPS
#define NNTP             1   /* Netnews client */
#endif /* NNTPCLIENT */
#endif /* NNTPSERVER */

#ifdef STATUSWIN
#define SPLITSCREEN 1
#endif

#ifdef DIRSESSION
#undef MORESESSION
#define MORESESSION 1
#endif

#if defined(NRS)
#undef  NETROM
#define NETROM      1   /* NRS implies NETROM */
#endif

#if defined(ARCNET) || defined(SLFP)
#undef  PACKET
#define PACKET      1   /* FTP Software's Packet Driver interface */
#endif

#if defined(PC_EC) || defined(PACKET)
#define ETHER   1       /* Generic Ethernet code */
#endif

#if defined(SAMCALLB)
#define CALLCLI 1
#undef CALLSERVER 1
#undef QRZCALLB 1
#endif

#if defined(QRZCALLB)
#define CALLCLI 1
#undef CALLSERVER 1
#undef SAMCALLB   1
#endif

#if defined(CALLSERVER)
#define CALLCLI     1
#endif

#if defined(POP2CLIENT) || defined(POP3CLIENT)
#define MAILCLIENT  1
#endif

#ifdef POLLEDKISS
#define KISS 1
#endif

#ifndef MAILBOX
#undef MAILCMDS 1
#undef FILECMDS 1
#undef GATECMDS 1
#undef FOQ_CMDS 1
#undef CALLBOOK 1
#undef CALLCLI 1
#undef EXPIRY 1
#undef MBXTDISC 1
#undef TIPSERVER 1
#undef MAILFOR 1
#undef RLINE 1
#undef MBFWD 1
#undef USERLOG 1
#endif

#ifndef MAILCMDS
#undef MAILFOR 1
#undef RLINE 1
#undef MBFWD 1
#endif

#ifndef TIPSERVER
#undef XMODEM 1
#endif

#ifndef AX25
#undef AX25SESSION 1
#undef AX25SERVER 1
#undef MAILFOR 1
#undef RLINE 1
#undef MBFWD 1
#undef FBBFWD 1
#undef NRS 1
#undef NETROM 1
#undef NETROMSESSION 1
#undef NETROMSERVER 1
#undef AXIP 1
#undef NR4TDISC 1
#undef TTYCALL 1
#undef BPQ 1
#undef EAGLE 1
#undef SCC 1
#undef KISS 1
#undef POLLEDKISS 1
#undef HAPN 1
#undef PI 1
#undef PC100 1
#undef HS 1
#undef AX25PASSWORD 1
#endif

#ifndef NETROM
#undef NETROMSESSION 1
#undef NETROMSERVER 1
#endif

#ifndef SMTPSERVER
#undef MAILCMDS 1
#undef MBFWD 1
#undef MAILFOR 1
#undef RLINE 1

#endif


#endif  /* _CONFIG_H */
