@ECHO OFF
CLS

SET BACKUPDIR=
SET CODEDIR=

ECHO This is a list of the files contained in this ZIP file
ECHO --------------------------------------------------------------------
ECHO MAKEFILE
ECHO CONFIG.H
ECHO commands.h   config.c     domain.c      files.c      files.h
ECHO mailbox.c    mailutil.c   mailutil.h    main.c       version.c
ECHO rewrite.c    rewrite.h    session.c     smtpcli.c    nos.cfg
ECHO usermnt.c    usermnt.h    internet.tl   net.tl       perms.nos

IF "%CODEDIR%" == "" GOTO USAGE
IF "%BACKUPDIR%" == "" GOTO UNZIP

ECHO.
ECHO Now attempting to copy the original files to the backup directory...
ECHO --------------------------------------------------------------------
IF EXIST %CODEDIR%\MAKEFILE     COPY %CODEDIR%\MAKEFILE     %BACKUPDIR%\MAKEFILE
IF EXIST %CODEDIR%\commands.h   COPY %CODEDIR%\commands.h   %BACKUPDIR%\commands.h
IF EXIST %CODEDIR%\config.c     COPY %CODEDIR%\config.c     %BACKUPDIR%\config.c
IF EXIST %CODEDIR%\CONFIG.H     COPY %CODEDIR%\CONFIG.H     %BACKUPDIR%\CONFIG.H
IF EXIST %CODEDIR%\domain.c     COPY %CODEDIR%\domain.c     %BACKUPDIR%\domain.c
IF EXIST %CODEDIR%\files.c      COPY %CODEDIR%\files.c      %BACKUPDIR%\files.c
IF EXIST %CODEDIR%\files.h      COPY %CODEDIR%\files.h      %BACKUPDIR%\files.h
IF EXIST %CODEDIR%\mailbox.c    COPY %CODEDIR%\mailbox.c    %BACKUPDIR%\mailbox.c
IF EXIST %CODEDIR%\mailutil.c   COPY %CODEDIR%\mailutil.c   %BACKUPDIR%\mailutil.c
IF EXIST %CODEDIR%\mailutil.h   COPY %CODEDIR%\mailutil.h   %BACKUPDIR%\mailutil.h
IF EXIST %CODEDIR%\main.c       COPY %CODEDIR%\main.c       %BACKUPDIR%\main.c
IF EXIST %CODEDIR%\rewrite.c    COPY %CODEDIR%\rewrite.c    %BACKUPDIR%\rewrite.c
IF EXIST %CODEDIR%\rewrite.h    COPY %CODEDIR%\rewrite.h    %BACKUPDIR%\rewrite.h
IF EXIST %CODEDIR%\session.c    COPY %CODEDIR%\session.c    %BACKUPDIR%\session.c
IF EXIST %CODEDIR%\smtpcli.c    COPY %CODEDIR%\smtpcli.c    %BACKUPDIR%\smtpcli.c
IF EXIST %CODEDIR%\usermnt.c    COPY %CODEDIR%\usermnt.c    %BACKUPDIR%\usermnt.c
IF EXIST %CODEDIR%\usermnt.h    COPY %CODEDIR%\usermnt.h    %BACKUPDIR%\usermnt.h
IF EXIST %CODEDIR%\version.c    COPY %CODEDIR%\version.c    %BACKUPDIR%\version.c
IF EXIST %CODEDIR%\internet.tl  COPY %CODEDIR%\internet.tl  %BACKUPDIR%\internet.tl
IF EXIST %CODEDIR%\net.tl       COPY %CODEDIR%\net.tl       %BACKUPDIR%\net.tl

:UNZIP
ECHO.
ECHO Now running pkunzip to extract the new files
ECHO --------------------------------------------------------------------
PKUNZIP -o -xperms.nos -xnos.cfg 110H-WEI.ZIP %CODEDIR%
PKUNZIP -o 110H-WEI.ZIP perms.nos nos.cfg
ECHO.
ECHO The two files: PERMS.NOS & NOS.CFG have been placed in the current
ECHO directory.  Don't forget to place PERMS.NOS in your nos root directory.

GOTO END

:USAGE
ECHO.
ECHO This batchfile will copy these files to a backup directory and then
ECHO run PKUNZIP to extract the new files if you wish.
ECHO Just use your favorite editor and edit lines #4 & 5 to specify the
ECHO directories where your code is, and where you would like the original
ECHO code copied to.  Then, just run the batchfile again...
ECHO.
ECHO NOTE: THE "CODEDIR" DIRECTORY MUST EXIST AND THE DIRECTORY CONTIANING
ECHO       PKUNZIP.EXE MUST BE IN YOUR PATH IN ORDER FOR THE INSTALL TO WORK!
ECHO.
ECHO       IF "BACKUPDIR" IS LEFT BLANK, FILES WILL NOT BE BACKED UP BEFORE
ECHO       PKUNZIP IS CALLED.  IF THIS VARIABLE IS SET, THIS DIRECTORY MUST
ECHO       EXIST AS WELL.  THIS BATCHFILE WILL NOT CREATE IT!

:END

SET BACKUPDIR=
SET CODEDIR=

